Inhalte

# Funktion DateDiff

Gibt die Anzahl der Datums- oder Zeitintervalle zwischen zwei angegebenen Datumswerten zurück.

### Syntax:

    DateDiff (Intervall als Zeichenfolge, Datum1 als Datum, Datum2 als Datum [, ErsterTagDerWoche als Integer [, ErsteWocheDesJahres als Integer]]) als Double

## Rückgabewert:

Eine Zahl.

### Parameter:

Intervall – Eine Zeichenfolge aus der folgenden Tabelle, die das Datums- oder Uhrzeitintervall festlegt.

Intervall (Zeichenfolgenwert) | Erklärung
--- | ---
yyyy | Jahr
q | Quartal
m | Monat
y | Kalendertag
w | Wochentag
ww | Kalenderwoche
d | Tag
h | Stunde
n | Minute
s | Sekunde

Datum1, Datum2 – Die beiden zu vergleichenden Datumswerte.

Datumsausdrücke ermöglichen die Festlegung eindeutiger Datumsvariablen, die unabhängig von der aktuellen Sprache sind. Ausdrücke sind zwischen Rauten # eingeschlossen. Mögliche Formate sind:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

ErsterTagDerWoche: Ein optionaler Parameter, der den ersten Tag einer Woche festlegt.

Werte für ErsterTagDerWoche | Erklärung
--- | ---
0 | Systemvorgabewert verwenden
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

ErsteWocheDesJahres: Ein optionaler Parameter, der die erste Woche eines Jahres festlegt.

Werte für ErsteWocheDesJahres | Erklärung
--- | ---
0 | Systemvorgabewert verwenden
1 | Woche 1 ist die Woche, auf die der 1. Januar fällt. (Vorgabe)
2 | Woche 1 ist die erste Woche, die mindestens vier Tage dieses Jahres enthält
3 | Woche 1 ist die erste Woche, die ausschließlich Tage dieses Jahres enthält

### Beispiel:

    Sub example_datediff
        MsgBox DateDiff("d", #1/1/2005#, #2005-12-31#)
    End Sub

Bitte unterstützen Sie uns!